{
	"processors": [
		{
			"processor_type": "minecraft:rule",
			"rules": [
				{
					"input_predicate": {
						"block": "minecraft:smooth_sandstone_slab",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.22499999403953552
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:smooth_sandstone"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:smooth_sandstone_slab",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.02500000037252903
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:chiseled_sandstone"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:sandstone",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.25
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:smooth_sandstone"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:sandstone",
						"predicate_type": "minecraft:random_block_match",
						"probability": 1.0
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:sandstone_slab",
						"Properties": {
							"type": "top",
							"waterlogged": "false"
						}
					}
				}
			]
		},
		{
			"processor_type": "repurposed_structures:replace_air_only_processor"
		},
		{
			"processor_type": "repurposed_structures:remove_floating_blocks_processor"
		},
		{
			"delay": 20,
			"max_nearby_entities": 6,
			"max_spawn_delay": 800,
			"min_spawn_delay": 200,
			"processor_type": "repurposed_structures:spawner_randomizing_processor",
			"required_player_range": 16,
			"rs_spawner_resourcelocation": "repurposed_structures:dungeons/desert",
			"spawn_count": 4,
			"spawn_range": 4,
			"spawner_replacement_block": {
				"Name": "minecraft:air"
			},
			"valid_block_light_level": [
				0,
				7
			]
		}
	]
}